GRID-CA-PACKAGE(1)

NAME
grid-ca-package - Prepare a CA certificate, configuration, and policy for distribution

SYNOPSIS

grid-ca-sign [-ca HASH] [-g] [-b] [-r] [-d]

grid-ca-sign [ -help| -h| -usage| -version| -versions ]

DESCRIPTION

The grid-ca-sign utility creates a tarball containing an RPM spec file and the files needed to use a CA with grid tools.

By default, the grid-ca-sign utility displays a list of installed grid CA and prompts for which CA to package. It then creates a tarball containing the CA certificate, signing policy, CA configuration files, and an spec script to generate a binary RPM package containing the CA. If the CA hash is known prior to running grid-ca-sign, it may provided as an argument to the -ca parameter to avoid prompting.

The grid-ca-sign utility writes the package tarballs to the current working directory.

OPTIONS

The full set of command-line options to grid-ca-sign follows:

-help, -h, -usage
    Display the command-line options to grid-ca-sign and exit.

-version, -versions
    Display the version number of the grid-ca-sign command. The second form includes more details.

-ca CA
    Use the CA whose name matches the hash string CA. When invoked with this option, grid-ca-sign runs non-interactively.

-r
    Create a binary RPM package for the CA. This option currently only works on RPM-based distributions.

-d
    Create a binary Debian package for the CA. This option currently only works on Debian-based distributions.

EXAMPLES

Package a Simple CA with hash 0146c503.

    % grid-ca-sign -ca 0146c503

    Creating RPM source tarball... done
    globus_simple_ca_0146c503.tar.gz

ENVIRONMENT

The following environment variables affect the execution of grid-ca-sign:

GLOBUS_LOCATION
    Non-standard installation path of the Grid Community Toolkit.

SEE ALSO

grid-cert-request(1), grid-ca-sign(1), grid-default-ca(1), grid-ca-create(1)

AUTHOR

Copyright © 1999-2014 University of Chicago